#
#       Makefile for datelib
#
#       Copyright (C) 2000 GFD Dennou Club. All rights reserved.
#

ROOTDIR     = ..\..\..
OBJDIR      = ..

CSRC       = dateq3.c
FSRC        = date12.f date13.f date21.f date23.f date31.f date32.f \
               datef1.f datef2.f datef3.f dateg1.f dateg2.f dateg3.f \
               ndate1.f ndate2.f ndate3.f datec1.f datec2.f datec3.f \
               dateq1.f dateq2.f iweek1.f iweek2.f iweek3.f \
               ndmon.f ndyear.f cmon.f cweek.f

FOBJ = $(FSRC:.f=.obj)
COBJ = $(CSRC:.c=.obj)

!include $(ROOTDIR)\MkInclude.win

build:
    $(MAKE) /$(MAKEFLAGS) /NOLOGO /S /f makefile.win subdirs \
            SUBDIRS_PRETARGET=build-exec
build-exec: $(FOBJ) $(COBJ)

install:
    $(MAKE) /$(MAKEFLAGS) /NOLOGO /S /f makefile.win subdirs \
            SUBDIRS_PRETARGET=install-exec
install-exec-unique:

clean:
    $(MAKE) /$(MAKEFLAGS) /NOLOGO /S /f makefile.win subdirs \
            SUBDIRS_PRETARGET=clean-exec
clean-exec-unique:

